Skip to main content

CreateSynonyms

Creates a synonym in the specified workspace.

Try it now

You can run this API directly in OpenAPI Explorer, which saves you the trouble of calculating signatures. After the operation succeeds, OpenAPI Explorer can automatically generate SDK code examples. Debug

RAM authorization

The following table describes the authorization information for this API. You can use the Action element in RAM permission policy statements to grant RAM users or RAM roles the permission to call this API. For more information, see the following:
  • Operation: the specific permission point.
  • Access level: the access level of each operation. Valid values: Write, Read, or List.
  • Resource type: the resource types that support authorization for the operation. For more information:
    • For required resource types, an asterisk (*) is prefixed.
    • For operations that do not support resource-level authorization, All Resources is used.
  • Condition key: the condition keys defined by the cloud service itself.
  • Dependent action: other permissions required to successfully perform the operation. The caller must have the permissions of all dependent actions for the operation to succeed.
OperationAccess levelResource typeCondition keyDependent action
dataanalysisgbi:CreateSynonymsnone
*All resources
*
    None
None

Request syntax

POST /gbi/create/synonyms HTTP/1.1

Request parameters

ParameterTypeRequiredDescriptionExample value
workspaceIdstringYes

The ID of the Alibaba Cloud Model Studio workspace used for the request.

llm-2v3934xtp49esw64
bodyobjectNo

The request body.

wordstringYes

The synonym itself.

Capital
wordSynonymsarrayYes

The list of words to map to the synonym.

wordsSynonymsstringNo

The synonym to map.

Beijing
columnsarrayNo

To map the synonym to a specific column in a data table, specify the column name in the format: table_name.column_name.

columnsstringNo

table_name.column_name

table.id

Response elements

ElementTypeDescriptionExample value
object

Result

dataany

The returned data.

true
errorMsgstring

The error message.

NoAuth
codestring

The error code.

NoAuth
successboolean

true: The call was successful. false: The call failed.

true
requestIdstring

The request ID. Each request has a unique ID, which facilitates troubleshooting.

FB11F719-9AC8-5C99-AB0A-4709D437FCFC

Examples

Success response JSON format
{
  "data": true,
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "FB11F719-9AC8-5C99-AB0A-4709D437FCFC"
}

Error codes

HTTP status codeError codeError messageDescription
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service to troubleshoot the issue.
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have permission on the specified business space.
401NoResourceAuthBad Request: Resource Auth Error.No permission on the requested resource. Make sure the requested resource belongs to the business space specified in the parameters.
Visit the Error Center to view more error codes.